#!/bin/sh

set -e

DEPSDIR="$(pwd)/_deps"
BINDIR="$(pwd)/_bin"
INCTOOLDIR="$(pwd)/tools"

if [ -d "$DEPSDIR" ]
then
		rm -rf "$DEPSDIR"
fi

if [ -d "$BINDIR" ]
then
		rm -rf "$BINDIR"
fi

mkdir "$DEPSDIR"
mkdir "$BINDIR"
cd "$DEPSDIR"

git clone https://notabug.org/CYBERDEViL/REWise
cd REWise
make
mv -v rewise "$BINDIR/rewise"

cd "$DEPSDIR"
git clone https://github.com/RavuAlHemio/hllib
cd hllib/HLLib
make
cd ../HLExtract
make
mv -v hlextract "$BINDIR/hlextract"

cd "$DEPSDIR"
git clone https://github.com/yquake2/pakextract
cd pakextract
make
mv -v pakextract "$BINDIR/pakextract"

cd "$INCTOOLDIR/bmpfix"
cc -o bmpfix bmpfix.c
mv -v bmpfix "$BINDIR/bmpfix"

cd "$INCTOOLDIR/gpl-quake"
cc -o qfiles cmdlib.c qfiles.c
mv -v qfiles "$BINDIR/qfiles"

